<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.plugins.Juk</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        <a href="screenlets.plugins-module.html">Package&nbsp;plugins</a> ::
        Module&nbsp;Juk
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.plugins.Juk-pysrc.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="screenlets.plugins.Juk-module.html">Module screenlets.plugins.Juk</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno">  1</tt>  <tt class="py-line"><tt class="py-comment"># This application is released under the GNU General Public License </tt> </tt>
<a name="L2"></a><tt class="py-lineno">  2</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># v3 (or, at your option, any later version). You can find the full </tt> </tt>
<a name="L3"></a><tt class="py-lineno">  3</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># text of the license under http://www.gnu.org/licenses/gpl.txt. </tt> </tt>
<a name="L4"></a><tt class="py-lineno">  4</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># By using, editing and/or distributing this software you agree to </tt> </tt>
<a name="L5"></a><tt class="py-lineno">  5</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># the terms and conditions of this license. </tt> </tt>
<a name="L6"></a><tt class="py-lineno">  6</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># Thank you for using free software!</tt> </tt>
<a name="L7"></a><tt class="py-lineno">  7</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="L8"></a><tt class="py-lineno">  8</tt>  <tt class="py-line"><tt class="py-comment"># Juk API (c) Whise (Helder Fraga) 2008 &lt;helder.fraga@hotmail.com&gt;</tt> </tt>
<a name="L9"></a><tt class="py-lineno">  9</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="L10"></a><tt class="py-lineno"> 10</tt>  <tt class="py-line"> </tt>
<a name="L11"></a><tt class="py-lineno"> 11</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">os</tt> </tt>
<a name="L12"></a><tt class="py-lineno"> 12</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">string</tt> </tt>
<a name="L13"></a><tt class="py-lineno"> 13</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">gobject</tt> </tt>
<a name="L14"></a><tt class="py-lineno"> 14</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-0" class="py-name" targets="Module screenlets.plugins.GenericPlayer=screenlets.plugins.GenericPlayer-module.html"><a title="screenlets.plugins.GenericPlayer" class="py-name" href="#" onclick="return doclink('link-0', 'GenericPlayer', 'link-0');">GenericPlayer</a></tt> <tt class="py-keyword">import</tt> <tt id="link-1" class="py-name" targets="Class screenlets.plugins.GenericPlayer.GenericAPI=screenlets.plugins.GenericPlayer.GenericAPI-class.html"><a title="screenlets.plugins.GenericPlayer.GenericAPI" class="py-name" href="#" onclick="return doclink('link-1', 'GenericAPI', 'link-1');">GenericAPI</a></tt> </tt>
<a name="L15"></a><tt class="py-lineno"> 15</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt id="link-2" class="py-name" targets="Variable screenlets.plugins.mpdclient2.commands=screenlets.plugins.mpdclient2-module.html#commands"><a title="screenlets.plugins.mpdclient2.commands" class="py-name" href="#" onclick="return doclink('link-2', 'commands', 'link-2');">commands</a></tt> </tt>
<a name="L16"></a><tt class="py-lineno"> 16</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">urllib</tt> </tt>
<a name="L17"></a><tt class="py-lineno"> 17</tt>  <tt class="py-line"> </tt>
<a name="JukAPI"></a><div id="JukAPI-def"><a name="L18"></a><tt class="py-lineno"> 18</tt> <a class="py-toggle" href="#" id="JukAPI-toggle" onclick="return toggle('JukAPI');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="screenlets.plugins.Juk.JukAPI-class.html">JukAPI</a><tt class="py-op">(</tt><tt class="py-base-class">GenericAPI</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="JukAPI-collapsed" style="display:none;" pad="+++" indent="++++"></div><div id="JukAPI-expanded"><a name="L19"></a><tt class="py-lineno"> 19</tt>  <tt class="py-line">        <tt id="link-3" class="py-name" targets="Variable screenlets.Screenlet.__name__=screenlets.Screenlet-class.html#__name__,Variable screenlets.ScreenletTheme.__name__=screenlets.ScreenletTheme-class.html#__name__,Variable screenlets.plugins.Amarok.AmarokAPI.__name__=screenlets.plugins.Amarok.AmarokAPI-class.html#__name__,Variable screenlets.plugins.Audacious.AudaciousAPI.__name__=screenlets.plugins.Audacious.AudaciousAPI-class.html#__name__,Variable screenlets.plugins.Banshee.BansheeAPI.__name__=screenlets.plugins.Banshee.BansheeAPI-class.html#__name__,Variable screenlets.plugins.BaseConverter.BaseConverter.__name__=screenlets.plugins.BaseConverter.BaseConverter-class.html#__name__,Variable screenlets.plugins.Convert.Converter.__name__=screenlets.plugins.Convert.Converter-class.html#__name__,Variable screenlets.plugins.Convert.RatioConverter.__name__=screenlets.plugins.Convert.RatioConverter-class.html#__name__,Variable screenlets.plugins.Exaile.ExaileAPI.__name__=screenlets.plugins.Exaile.ExaileAPI-class.html#__name__,Variable screenlets.plugins.GenericPlayer.GenericAPI.__name__=screenlets.plugins.GenericPlayer.GenericAPI-class.html#__name__,Variable screenlets.plugins.Juk.JukAPI.__name__=screenlets.plugins.Juk.JukAPI-class.html#__name__,Variable screenlets.plugins.Kaffeine.KaffeineAPI.__name__=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__name__,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.__name__=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__name__,Variable screenlets.plugins.LengthConverter.LengthConverter.__name__=screenlets.plugins.LengthConverter.LengthConverter-class.html#__name__,Variable screenlets.plugins.Listen.ListenAPI.__name__=screenlets.plugins.Listen.ListenAPI-class.html#__name__,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.__name__=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#__name__,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.__name__=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#__name__,Variable screenlets.plugins.SizeConverter.SizeConverter.__name__=screenlets.plugins.SizeConverter.SizeConverter-class.html#__name__,Variable screenlets.plugins.Sonata.SonataAPI.__name__=screenlets.plugins.Sonata.SonataAPI-class.html#__name__,Variable screenlets.plugins.Songbird.SongbirdAPI.__name__=screenlets.plugins.Songbird.SongbirdAPI-class.html#__name__,Variable screenlets.plugins.TemperatureConverter.TemperatureConverter.__name__=screenlets.plugins.TemperatureConverter.TemperatureConverter-class.html#__name__"><a title="screenlets.Screenlet.__name__
screenlets.ScreenletTheme.__name__
screenlets.plugins.Amarok.AmarokAPI.__name__
screenlets.plugins.Audacious.AudaciousAPI.__name__
screenlets.plugins.Banshee.BansheeAPI.__name__
screenlets.plugins.BaseConverter.BaseConverter.__name__
screenlets.plugins.Convert.Converter.__name__
screenlets.plugins.Convert.RatioConverter.__name__
screenlets.plugins.Exaile.ExaileAPI.__name__
screenlets.plugins.GenericPlayer.GenericAPI.__name__
screenlets.plugins.Juk.JukAPI.__name__
screenlets.plugins.Kaffeine.KaffeineAPI.__name__
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__name__
screenlets.plugins.LengthConverter.LengthConverter.__name__
screenlets.plugins.Listen.ListenAPI.__name__
screenlets.plugins.Quodlibet.QuodlibetAPI.__name__
screenlets.plugins.Rhythmbox.RhythmboxAPI.__name__
screenlets.plugins.SizeConverter.SizeConverter.__name__
screenlets.plugins.Sonata.SonataAPI.__name__
screenlets.plugins.Songbird.SongbirdAPI.__name__
screenlets.plugins.TemperatureConverter.TemperatureConverter.__name__" class="py-name" href="#" onclick="return doclink('link-3', '__name__', 'link-3');">__name__</a></tt> <tt class="py-op">=</tt> <tt class="py-string">'Juk API'</tt> </tt>
<a name="L20"></a><tt class="py-lineno"> 20</tt>  <tt class="py-line">        <tt id="link-4" class="py-name" targets="Variable screenlets.plugins.Amarok.AmarokAPI.__version__=screenlets.plugins.Amarok.AmarokAPI-class.html#__version__,Variable screenlets.plugins.Audacious.AudaciousAPI.__version__=screenlets.plugins.Audacious.AudaciousAPI-class.html#__version__,Variable screenlets.plugins.Banshee.BansheeAPI.__version__=screenlets.plugins.Banshee.BansheeAPI-class.html#__version__,Variable screenlets.plugins.Exaile.ExaileAPI.__version__=screenlets.plugins.Exaile.ExaileAPI-class.html#__version__,Variable screenlets.plugins.GenericPlayer.GenericAPI.__version__=screenlets.plugins.GenericPlayer.GenericAPI-class.html#__version__,Variable screenlets.plugins.Juk.JukAPI.__version__=screenlets.plugins.Juk.JukAPI-class.html#__version__,Variable screenlets.plugins.Kaffeine.KaffeineAPI.__version__=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__version__,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.__version__=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__version__,Variable screenlets.plugins.Listen.ListenAPI.__version__=screenlets.plugins.Listen.ListenAPI-class.html#__version__,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.__version__=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#__version__,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.__version__=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#__version__,Variable screenlets.plugins.Sonata.SonataAPI.__version__=screenlets.plugins.Sonata.SonataAPI-class.html#__version__,Variable screenlets.plugins.Songbird.SongbirdAPI.__version__=screenlets.plugins.Songbird.SongbirdAPI-class.html#__version__"><a title="screenlets.plugins.Amarok.AmarokAPI.__version__
screenlets.plugins.Audacious.AudaciousAPI.__version__
screenlets.plugins.Banshee.BansheeAPI.__version__
screenlets.plugins.Exaile.ExaileAPI.__version__
screenlets.plugins.GenericPlayer.GenericAPI.__version__
screenlets.plugins.Juk.JukAPI.__version__
screenlets.plugins.Kaffeine.KaffeineAPI.__version__
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__version__
screenlets.plugins.Listen.ListenAPI.__version__
screenlets.plugins.Quodlibet.QuodlibetAPI.__version__
screenlets.plugins.Rhythmbox.RhythmboxAPI.__version__
screenlets.plugins.Sonata.SonataAPI.__version__
screenlets.plugins.Songbird.SongbirdAPI.__version__" class="py-name" href="#" onclick="return doclink('link-4', '__version__', 'link-4');">__version__</a></tt> <tt class="py-op">=</tt> <tt class="py-string">'0.0'</tt> </tt>
<a name="L21"></a><tt class="py-lineno"> 21</tt>  <tt class="py-line">        <tt id="link-5" class="py-name" targets="Variable screenlets.plugins.Amarok.AmarokAPI.__author__=screenlets.plugins.Amarok.AmarokAPI-class.html#__author__,Variable screenlets.plugins.Audacious.AudaciousAPI.__author__=screenlets.plugins.Audacious.AudaciousAPI-class.html#__author__,Variable screenlets.plugins.Banshee.BansheeAPI.__author__=screenlets.plugins.Banshee.BansheeAPI-class.html#__author__,Variable screenlets.plugins.Exaile.ExaileAPI.__author__=screenlets.plugins.Exaile.ExaileAPI-class.html#__author__,Variable screenlets.plugins.GenericPlayer.GenericAPI.__author__=screenlets.plugins.GenericPlayer.GenericAPI-class.html#__author__,Variable screenlets.plugins.Juk.JukAPI.__author__=screenlets.plugins.Juk.JukAPI-class.html#__author__,Variable screenlets.plugins.Kaffeine.KaffeineAPI.__author__=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__author__,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.__author__=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__author__,Variable screenlets.plugins.Listen.ListenAPI.__author__=screenlets.plugins.Listen.ListenAPI-class.html#__author__,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.__author__=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#__author__,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.__author__=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#__author__,Variable screenlets.plugins.Sonata.SonataAPI.__author__=screenlets.plugins.Sonata.SonataAPI-class.html#__author__,Variable screenlets.plugins.Songbird.SongbirdAPI.__author__=screenlets.plugins.Songbird.SongbirdAPI-class.html#__author__"><a title="screenlets.plugins.Amarok.AmarokAPI.__author__
screenlets.plugins.Audacious.AudaciousAPI.__author__
screenlets.plugins.Banshee.BansheeAPI.__author__
screenlets.plugins.Exaile.ExaileAPI.__author__
screenlets.plugins.GenericPlayer.GenericAPI.__author__
screenlets.plugins.Juk.JukAPI.__author__
screenlets.plugins.Kaffeine.KaffeineAPI.__author__
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__author__
screenlets.plugins.Listen.ListenAPI.__author__
screenlets.plugins.Quodlibet.QuodlibetAPI.__author__
screenlets.plugins.Rhythmbox.RhythmboxAPI.__author__
screenlets.plugins.Sonata.SonataAPI.__author__
screenlets.plugins.Songbird.SongbirdAPI.__author__" class="py-name" href="#" onclick="return doclink('link-5', '__author__', 'link-5');">__author__</a></tt> <tt class="py-op">=</tt> <tt class="py-string">'Whise (Helder Fraga)'</tt> </tt>
<a name="L22"></a><tt class="py-lineno"> 22</tt>  <tt class="py-line">        <tt id="link-6" class="py-name" targets="Variable screenlets.Screenlet.__desc__=screenlets.Screenlet-class.html#__desc__,Variable screenlets.plugins.Amarok.AmarokAPI.__desc__=screenlets.plugins.Amarok.AmarokAPI-class.html#__desc__,Variable screenlets.plugins.Audacious.AudaciousAPI.__desc__=screenlets.plugins.Audacious.AudaciousAPI-class.html#__desc__,Variable screenlets.plugins.Banshee.BansheeAPI.__desc__=screenlets.plugins.Banshee.BansheeAPI-class.html#__desc__,Variable screenlets.plugins.Exaile.ExaileAPI.__desc__=screenlets.plugins.Exaile.ExaileAPI-class.html#__desc__,Variable screenlets.plugins.GenericPlayer.GenericAPI.__desc__=screenlets.plugins.GenericPlayer.GenericAPI-class.html#__desc__,Variable screenlets.plugins.Juk.JukAPI.__desc__=screenlets.plugins.Juk.JukAPI-class.html#__desc__,Variable screenlets.plugins.Kaffeine.KaffeineAPI.__desc__=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__desc__,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.__desc__=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__desc__,Variable screenlets.plugins.Listen.ListenAPI.__desc__=screenlets.plugins.Listen.ListenAPI-class.html#__desc__,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.__desc__=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#__desc__,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.__desc__=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#__desc__,Variable screenlets.plugins.Sonata.SonataAPI.__desc__=screenlets.plugins.Sonata.SonataAPI-class.html#__desc__,Variable screenlets.plugins.Songbird.SongbirdAPI.__desc__=screenlets.plugins.Songbird.SongbirdAPI-class.html#__desc__"><a title="screenlets.Screenlet.__desc__
screenlets.plugins.Amarok.AmarokAPI.__desc__
screenlets.plugins.Audacious.AudaciousAPI.__desc__
screenlets.plugins.Banshee.BansheeAPI.__desc__
screenlets.plugins.Exaile.ExaileAPI.__desc__
screenlets.plugins.GenericPlayer.GenericAPI.__desc__
screenlets.plugins.Juk.JukAPI.__desc__
screenlets.plugins.Kaffeine.KaffeineAPI.__desc__
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__desc__
screenlets.plugins.Listen.ListenAPI.__desc__
screenlets.plugins.Quodlibet.QuodlibetAPI.__desc__
screenlets.plugins.Rhythmbox.RhythmboxAPI.__desc__
screenlets.plugins.Sonata.SonataAPI.__desc__
screenlets.plugins.Songbird.SongbirdAPI.__desc__" class="py-name" href="#" onclick="return doclink('link-6', '__desc__', 'link-6');">__desc__</a></tt> <tt class="py-op">=</tt> <tt class="py-string">'Juk API to a Music Player'</tt> </tt>
<a name="L23"></a><tt class="py-lineno"> 23</tt>  <tt class="py-line"> </tt>
<a name="L24"></a><tt class="py-lineno"> 24</tt>  <tt class="py-line">        <tt id="link-7" class="py-name" targets="Variable screenlets.plugins.Amarok.AmarokAPI.playerAPI=screenlets.plugins.Amarok.AmarokAPI-class.html#playerAPI,Variable screenlets.plugins.Audacious.AudaciousAPI.playerAPI=screenlets.plugins.Audacious.AudaciousAPI-class.html#playerAPI,Variable screenlets.plugins.Banshee.BansheeAPI.playerAPI=screenlets.plugins.Banshee.BansheeAPI-class.html#playerAPI,Variable screenlets.plugins.Exaile.ExaileAPI.playerAPI=screenlets.plugins.Exaile.ExaileAPI-class.html#playerAPI,Variable screenlets.plugins.Juk.JukAPI.playerAPI=screenlets.plugins.Juk.JukAPI-class.html#playerAPI,Variable screenlets.plugins.Kaffeine.KaffeineAPI.playerAPI=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#playerAPI,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.playerAPI=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#playerAPI,Variable screenlets.plugins.Listen.ListenAPI.playerAPI=screenlets.plugins.Listen.ListenAPI-class.html#playerAPI,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.playerAPI=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#playerAPI,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.playerAPI=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#playerAPI,Variable screenlets.plugins.Sonata.SonataAPI.playerAPI=screenlets.plugins.Sonata.SonataAPI-class.html#playerAPI,Variable screenlets.plugins.Songbird.SongbirdAPI.playerAPI=screenlets.plugins.Songbird.SongbirdAPI-class.html#playerAPI"><a title="screenlets.plugins.Amarok.AmarokAPI.playerAPI
screenlets.plugins.Audacious.AudaciousAPI.playerAPI
screenlets.plugins.Banshee.BansheeAPI.playerAPI
screenlets.plugins.Exaile.ExaileAPI.playerAPI
screenlets.plugins.Juk.JukAPI.playerAPI
screenlets.plugins.Kaffeine.KaffeineAPI.playerAPI
screenlets.plugins.LastFMProxy.LastFMProxyAPI.playerAPI
screenlets.plugins.Listen.ListenAPI.playerAPI
screenlets.plugins.Quodlibet.QuodlibetAPI.playerAPI
screenlets.plugins.Rhythmbox.RhythmboxAPI.playerAPI
screenlets.plugins.Sonata.SonataAPI.playerAPI
screenlets.plugins.Songbird.SongbirdAPI.playerAPI" class="py-name" href="#" onclick="return doclink('link-7', 'playerAPI', 'link-7');">playerAPI</a></tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt> </tt>
<a name="L25"></a><tt class="py-lineno"> 25</tt>  <tt class="py-line"> </tt>
<a name="L26"></a><tt class="py-lineno"> 26</tt>  <tt class="py-line">        <tt id="link-8" class="py-name" targets="Variable screenlets.Notify.__timeout=screenlets.Notify-class.html#__timeout,Variable screenlets.Tooltip.__timeout=screenlets.Tooltip-class.html#__timeout,Variable screenlets.backend.CachingBackend.__timeout=screenlets.backend.CachingBackend-class.html#__timeout,Variable screenlets.plugins.Amarok.AmarokAPI.__timeout=screenlets.plugins.Amarok.AmarokAPI-class.html#__timeout,Variable screenlets.plugins.Audacious.AudaciousAPI.__timeout=screenlets.plugins.Audacious.AudaciousAPI-class.html#__timeout,Variable screenlets.plugins.Banshee.BansheeAPI.__timeout=screenlets.plugins.Banshee.BansheeAPI-class.html#__timeout,Variable screenlets.plugins.Exaile.ExaileAPI.__timeout=screenlets.plugins.Exaile.ExaileAPI-class.html#__timeout,Variable screenlets.plugins.Juk.JukAPI.__timeout=screenlets.plugins.Juk.JukAPI-class.html#__timeout,Variable screenlets.plugins.Kaffeine.KaffeineAPI.__timeout=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__timeout,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.__timeout=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__timeout,Variable screenlets.plugins.Listen.ListenAPI.__timeout=screenlets.plugins.Listen.ListenAPI-class.html#__timeout,Variable screenlets.plugins.Sonata.SonataAPI.__timeout=screenlets.plugins.Sonata.SonataAPI-class.html#__timeout,Method screenlets.sensors.Sensor.__timeout()=screenlets.sensors.Sensor-class.html#__timeout"><a title="screenlets.Notify.__timeout
screenlets.Tooltip.__timeout
screenlets.backend.CachingBackend.__timeout
screenlets.plugins.Amarok.AmarokAPI.__timeout
screenlets.plugins.Audacious.AudaciousAPI.__timeout
screenlets.plugins.Banshee.BansheeAPI.__timeout
screenlets.plugins.Exaile.ExaileAPI.__timeout
screenlets.plugins.Juk.JukAPI.__timeout
screenlets.plugins.Kaffeine.KaffeineAPI.__timeout
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__timeout
screenlets.plugins.Listen.ListenAPI.__timeout
screenlets.plugins.Sonata.SonataAPI.__timeout
screenlets.sensors.Sensor.__timeout" class="py-name" href="#" onclick="return doclink('link-8', '__timeout', 'link-8');">__timeout</a></tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt> </tt>
<a name="L27"></a><tt class="py-lineno"> 27</tt>  <tt class="py-line">        <tt id="link-9" class="py-name" targets="Variable screenlets.plugins.Amarok.AmarokAPI.__interval=screenlets.plugins.Amarok.AmarokAPI-class.html#__interval,Variable screenlets.plugins.Audacious.AudaciousAPI.__interval=screenlets.plugins.Audacious.AudaciousAPI-class.html#__interval,Variable screenlets.plugins.Banshee.BansheeAPI.__interval=screenlets.plugins.Banshee.BansheeAPI-class.html#__interval,Variable screenlets.plugins.Exaile.ExaileAPI.__interval=screenlets.plugins.Exaile.ExaileAPI-class.html#__interval,Variable screenlets.plugins.Juk.JukAPI.__interval=screenlets.plugins.Juk.JukAPI-class.html#__interval,Variable screenlets.plugins.Kaffeine.KaffeineAPI.__interval=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__interval,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.__interval=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__interval,Variable screenlets.plugins.Listen.ListenAPI.__interval=screenlets.plugins.Listen.ListenAPI-class.html#__interval,Variable screenlets.plugins.Sonata.SonataAPI.__interval=screenlets.plugins.Sonata.SonataAPI-class.html#__interval"><a title="screenlets.plugins.Amarok.AmarokAPI.__interval
screenlets.plugins.Audacious.AudaciousAPI.__interval
screenlets.plugins.Banshee.BansheeAPI.__interval
screenlets.plugins.Exaile.ExaileAPI.__interval
screenlets.plugins.Juk.JukAPI.__interval
screenlets.plugins.Kaffeine.KaffeineAPI.__interval
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__interval
screenlets.plugins.Listen.ListenAPI.__interval
screenlets.plugins.Sonata.SonataAPI.__interval" class="py-name" href="#" onclick="return doclink('link-9', '__interval', 'link-9');">__interval</a></tt> <tt class="py-op">=</tt> <tt class="py-number">2</tt> </tt>
<a name="L28"></a><tt class="py-lineno"> 28</tt>  <tt class="py-line"> </tt>
<a name="L29"></a><tt class="py-lineno"> 29</tt>  <tt class="py-line">        <tt id="link-10" class="py-name" targets="Variable screenlets.plugins.Amarok.AmarokAPI.callbackFn=screenlets.plugins.Amarok.AmarokAPI-class.html#callbackFn,Variable screenlets.plugins.Audacious.AudaciousAPI.callbackFn=screenlets.plugins.Audacious.AudaciousAPI-class.html#callbackFn,Variable screenlets.plugins.Banshee.BansheeAPI.callbackFn=screenlets.plugins.Banshee.BansheeAPI-class.html#callbackFn,Variable screenlets.plugins.Exaile.ExaileAPI.callbackFn=screenlets.plugins.Exaile.ExaileAPI-class.html#callbackFn,Variable screenlets.plugins.Juk.JukAPI.callbackFn=screenlets.plugins.Juk.JukAPI-class.html#callbackFn,Variable screenlets.plugins.Kaffeine.KaffeineAPI.callbackFn=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#callbackFn,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.callbackFn=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#callbackFn,Variable screenlets.plugins.Listen.ListenAPI.callbackFn=screenlets.plugins.Listen.ListenAPI-class.html#callbackFn,Variable screenlets.plugins.Sonata.SonataAPI.callbackFn=screenlets.plugins.Sonata.SonataAPI-class.html#callbackFn"><a title="screenlets.plugins.Amarok.AmarokAPI.callbackFn
screenlets.plugins.Audacious.AudaciousAPI.callbackFn
screenlets.plugins.Banshee.BansheeAPI.callbackFn
screenlets.plugins.Exaile.ExaileAPI.callbackFn
screenlets.plugins.Juk.JukAPI.callbackFn
screenlets.plugins.Kaffeine.KaffeineAPI.callbackFn
screenlets.plugins.LastFMProxy.LastFMProxyAPI.callbackFn
screenlets.plugins.Listen.ListenAPI.callbackFn
screenlets.plugins.Sonata.SonataAPI.callbackFn" class="py-name" href="#" onclick="return doclink('link-10', 'callbackFn', 'link-10');">callbackFn</a></tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt> </tt>
<a name="L30"></a><tt class="py-lineno"> 30</tt>  <tt class="py-line">        <tt id="link-11" class="py-name" targets="Variable screenlets.plugins.Amarok.AmarokAPI.__curplaying=screenlets.plugins.Amarok.AmarokAPI-class.html#__curplaying,Variable screenlets.plugins.Audacious.AudaciousAPI.__curplaying=screenlets.plugins.Audacious.AudaciousAPI-class.html#__curplaying,Variable screenlets.plugins.Banshee.BansheeAPI.__curplaying=screenlets.plugins.Banshee.BansheeAPI-class.html#__curplaying,Variable screenlets.plugins.Exaile.ExaileAPI.__curplaying=screenlets.plugins.Exaile.ExaileAPI-class.html#__curplaying,Variable screenlets.plugins.Juk.JukAPI.__curplaying=screenlets.plugins.Juk.JukAPI-class.html#__curplaying,Variable screenlets.plugins.Kaffeine.KaffeineAPI.__curplaying=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__curplaying,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.__curplaying=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__curplaying,Variable screenlets.plugins.Listen.ListenAPI.__curplaying=screenlets.plugins.Listen.ListenAPI-class.html#__curplaying,Variable screenlets.plugins.Sonata.SonataAPI.__curplaying=screenlets.plugins.Sonata.SonataAPI-class.html#__curplaying"><a title="screenlets.plugins.Amarok.AmarokAPI.__curplaying
screenlets.plugins.Audacious.AudaciousAPI.__curplaying
screenlets.plugins.Banshee.BansheeAPI.__curplaying
screenlets.plugins.Exaile.ExaileAPI.__curplaying
screenlets.plugins.Juk.JukAPI.__curplaying
screenlets.plugins.Kaffeine.KaffeineAPI.__curplaying
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__curplaying
screenlets.plugins.Listen.ListenAPI.__curplaying
screenlets.plugins.Sonata.SonataAPI.__curplaying" class="py-name" href="#" onclick="return doclink('link-11', '__curplaying', 'link-11');">__curplaying</a></tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt> </tt>
<a name="L31"></a><tt class="py-lineno"> 31</tt>  <tt class="py-line"> </tt>
<a name="L32"></a><tt class="py-lineno"> 32</tt>  <tt class="py-line"> </tt>
<a name="JukAPI.__init__"></a><div id="JukAPI.__init__-def"><a name="L33"></a><tt class="py-lineno"> 33</tt> <a class="py-toggle" href="#" id="JukAPI.__init__-toggle" onclick="return toggle('JukAPI.__init__');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Juk.JukAPI-class.html#__init__">__init__</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">session_bus</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="JukAPI.__init__-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="JukAPI.__init__-expanded"><a name="L34"></a><tt class="py-lineno"> 34</tt>  <tt class="py-line">                <tt class="py-comment"># Ignore the session_bus. Initialize a dcop connection</tt> </tt>
<a name="L35"></a><tt class="py-lineno"> 35</tt>  <tt class="py-line"><tt class="py-comment"></tt>                <tt id="link-12" class="py-name"><a title="screenlets.plugins.GenericPlayer.GenericAPI" class="py-name" href="#" onclick="return doclink('link-12', 'GenericAPI', 'link-1');">GenericAPI</a></tt><tt class="py-op">.</tt><tt id="link-13" class="py-name" targets="Method screenlets.Notify.__init__()=screenlets.Notify-class.html#__init__,Method screenlets.Screenlet.__init__()=screenlets.Screenlet-class.html#__init__,Method screenlets.ScreenletTheme.__init__()=screenlets.ScreenletTheme-class.html#__init__,Method screenlets.ShapedWidget.__init__()=screenlets.ShapedWidget-class.html#__init__,Method screenlets.Tooltip.__init__()=screenlets.Tooltip-class.html#__init__,Method screenlets.backend.CachingBackend.__init__()=screenlets.backend.CachingBackend-class.html#__init__,Method screenlets.backend.GconfBackend.__init__()=screenlets.backend.GconfBackend-class.html#__init__,Method screenlets.backend.ScreenletsBackend.__init__()=screenlets.backend.ScreenletsBackend-class.html#__init__,Method screenlets.install.ScreenletInstaller.__init__()=screenlets.install.ScreenletInstaller-class.html#__init__,Method screenlets.menu.ApplicationMenu.__init__()=screenlets.menu.ApplicationMenu-class.html#__init__,Method screenlets.menu.ImageMenuItem.__init__()=screenlets.menu.ImageMenuItem-class.html#__init__,Method screenlets.options.AccountOption.__init__()=screenlets.options.AccountOption-class.html#__init__,Method screenlets.options.EditableOptions.__init__()=screenlets.options.EditableOptions-class.html#__init__,Method screenlets.options.FileOption.__init__()=screenlets.options.FileOption-class.html#__init__,Method screenlets.options.FloatOption.__init__()=screenlets.options.FloatOption-class.html#__init__,Method screenlets.options.IntOption.__init__()=screenlets.options.IntOption-class.html#__init__,Method screenlets.options.ListOptionDialog.__init__()=screenlets.options.ListOptionDialog-class.html#__init__,Method screenlets.options.Option.__init__()=screenlets.options.Option-class.html#__init__,Method screenlets.options.OptionsDialog.__init__()=screenlets.options.OptionsDialog-class.html#__init__,Method screenlets.options.StringOption.__init__()=screenlets.options.StringOption-class.html#__init__,Method screenlets.plugins.Amarok.AmarokAPI.__init__()=screenlets.plugins.Amarok.AmarokAPI-class.html#__init__,Method screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch.__init__()=screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch-class.html#__init__,Method screenlets.plugins.Audacious.AudaciousAPI.__init__()=screenlets.plugins.Audacious.AudaciousAPI-class.html#__init__,Method screenlets.plugins.Banshee.BansheeAPI.__init__()=screenlets.plugins.Banshee.BansheeAPI-class.html#__init__,Method screenlets.plugins.Convert.Converter.__init__()=screenlets.plugins.Convert.Converter-class.html#__init__,Method screenlets.plugins.CoverSearch.CoverSearch.__init__()=screenlets.plugins.CoverSearch.CoverSearch-class.html#__init__,Method screenlets.plugins.Exaile.ExaileAPI.__init__()=screenlets.plugins.Exaile.ExaileAPI-class.html#__init__,Method screenlets.plugins.Flickr.Flickr.__init__()=screenlets.plugins.Flickr.Flickr-class.html#__init__,Method screenlets.plugins.GenericPlayer.GenericAPI.__init__()=screenlets.plugins.GenericPlayer.GenericAPI-class.html#__init__,Method screenlets.plugins.Gstreamer.gstreamer.__init__()=screenlets.plugins.Gstreamer.gstreamer-class.html#__init__,Method screenlets.plugins.Juk.JukAPI.__init__()=screenlets.plugins.Juk.JukAPI-class.html#__init__,Method screenlets.plugins.Kaffeine.KaffeineAPI.__init__()=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__init__,Method screenlets.plugins.LastFMProxy.LastFMProxyAPI.__init__()=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__init__,Method screenlets.plugins.Listen.ListenAPI.__init__()=screenlets.plugins.Listen.ListenAPI-class.html#__init__,Method screenlets.plugins.Loader.GnomeVFSAsyncSrc.__init__()=screenlets.plugins.Loader.GnomeVFSAsyncSrc-class.html#__init__,Method screenlets.plugins.Mail.IMAPBackend.__init__()=screenlets.plugins.Mail.IMAPBackend-class.html#__init__,Method screenlets.plugins.Mail.MailCheckBackend.__init__()=screenlets.plugins.Mail.MailCheckBackend-class.html#__init__,Method screenlets.plugins.Mail.Mailer.__init__()=screenlets.plugins.Mail.Mailer-class.html#__init__,Method screenlets.plugins.Mail.POP3Backend.__init__()=screenlets.plugins.Mail.POP3Backend-class.html#__init__,Method screenlets.plugins.Mplayer.Mplayer.__init__()=screenlets.plugins.Mplayer.Mplayer-class.html#__init__,Method screenlets.plugins.Proxy.Proxy.__init__()=screenlets.plugins.Proxy.Proxy-class.html#__init__,Method screenlets.plugins.Quodlibet.QuodlibetAPI.__init__()=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#__init__,Method screenlets.plugins.Rhythmbox.RhythmboxAPI.__init__()=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#__init__,Method screenlets.plugins.Sonata.SonataAPI.__init__()=screenlets.plugins.Sonata.SonataAPI-class.html#__init__,Method screenlets.plugins.Songbird.SongbirdAPI.__init__()=screenlets.plugins.Songbird.SongbirdAPI-class.html#__init__,Method screenlets.plugins.TemperatureConverter.TemperatureConverter.__init__()=screenlets.plugins.TemperatureConverter.TemperatureConverter-class.html#__init__,Method screenlets.plugins.iCal.DateSet.__init__()=screenlets.plugins.iCal.DateSet-class.html#__init__,Method screenlets.plugins.iCal.ICalEvent.__init__()=screenlets.plugins.iCal.ICalEvent-class.html#__init__,Method screenlets.plugins.iCal.ICalReader.__init__()=screenlets.plugins.iCal.ICalReader-class.html#__init__,Method screenlets.plugins.keyring.KeyRing.Key.__init__()=screenlets.plugins.keyring.KeyRing.Key-class.html#__init__,Method screenlets.plugins.keyring.KeyRing.__init__()=screenlets.plugins.keyring.KeyRing-class.html#__init__,Method screenlets.plugins.mail.IMAPBackend.__init__()=screenlets.plugins.mail.IMAPBackend-class.html#__init__,Method screenlets.plugins.mail.MailCheckBackend.__init__()=screenlets.plugins.mail.MailCheckBackend-class.html#__init__,Method screenlets.plugins.mail.Mailer.__init__()=screenlets.plugins.mail.Mailer-class.html#__init__,Method screenlets.plugins.mail.POP3Backend.__init__()=screenlets.plugins.mail.POP3Backend-class.html#__init__,Method screenlets.plugins.mpdclient2.command_sender.__init__()=screenlets.plugins.mpdclient2.command_sender-class.html#__init__,Method screenlets.plugins.mpdclient2.mpd_connection.__init__()=screenlets.plugins.mpdclient2.mpd_connection-class.html#__init__,Method screenlets.plugins.mpdclient2.response_fetcher.__init__()=screenlets.plugins.mpdclient2.response_fetcher-class.html#__init__,Method screenlets.plugins.mpdclient2.sender_n_fetcher.__init__()=screenlets.plugins.mpdclient2.sender_n_fetcher-class.html#__init__,Method screenlets.plugins.mpdclient2.socket_talker.__init__()=screenlets.plugins.mpdclient2.socket_talker-class.html#__init__,Method screenlets.sensors.CPUSensor.__init__()=screenlets.sensors.CPUSensor-class.html#__init__,Method screenlets.sensors.MemorySensor.__init__()=screenlets.sensors.MemorySensor-class.html#__init__,Method screenlets.sensors.NetSensor.__init__()=screenlets.sensors.NetSensor-class.html#__init__,Method screenlets.sensors.Sensor.__init__()=screenlets.sensors.Sensor-class.html#__init__,Method screenlets.services.ScreenletService.__init__()=screenlets.services.ScreenletService-class.html#__init__,Method screenlets.session.ScreenletSession.__init__()=screenlets.session.ScreenletSession-class.html#__init__,Method screenlets.utils.FileMonitor.__init__()=screenlets.utils.FileMonitor-class.html#__init__,Method screenlets.utils.IniReader.__init__()=screenlets.utils.IniReader-class.html#__init__,Method screenlets.utils.Notifier.__init__()=screenlets.utils.Notifier-class.html#__init__,Method screenlets.utils.ScreenletInfo.__init__()=screenlets.utils.ScreenletInfo-class.html#__init__"><a title="screenlets.Notify.__init__
screenlets.Screenlet.__init__
screenlets.ScreenletTheme.__init__
screenlets.ShapedWidget.__init__
screenlets.Tooltip.__init__
screenlets.backend.CachingBackend.__init__
screenlets.backend.GconfBackend.__init__
screenlets.backend.ScreenletsBackend.__init__
screenlets.install.ScreenletInstaller.__init__
screenlets.menu.ApplicationMenu.__init__
screenlets.menu.ImageMenuItem.__init__
screenlets.options.AccountOption.__init__
screenlets.options.EditableOptions.__init__
screenlets.options.FileOption.__init__
screenlets.options.FloatOption.__init__
screenlets.options.IntOption.__init__
screenlets.options.ListOptionDialog.__init__
screenlets.options.Option.__init__
screenlets.options.OptionsDialog.__init__
screenlets.options.StringOption.__init__
screenlets.plugins.Amarok.AmarokAPI.__init__
screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch.__init__
screenlets.plugins.Audacious.AudaciousAPI.__init__
screenlets.plugins.Banshee.BansheeAPI.__init__
screenlets.plugins.Convert.Converter.__init__
screenlets.plugins.CoverSearch.CoverSearch.__init__
screenlets.plugins.Exaile.ExaileAPI.__init__
screenlets.plugins.Flickr.Flickr.__init__
screenlets.plugins.GenericPlayer.GenericAPI.__init__
screenlets.plugins.Gstreamer.gstreamer.__init__
screenlets.plugins.Juk.JukAPI.__init__
screenlets.plugins.Kaffeine.KaffeineAPI.__init__
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__init__
screenlets.plugins.Listen.ListenAPI.__init__
screenlets.plugins.Loader.GnomeVFSAsyncSrc.__init__
screenlets.plugins.Mail.IMAPBackend.__init__
screenlets.plugins.Mail.MailCheckBackend.__init__
screenlets.plugins.Mail.Mailer.__init__
screenlets.plugins.Mail.POP3Backend.__init__
screenlets.plugins.Mplayer.Mplayer.__init__
screenlets.plugins.Proxy.Proxy.__init__
screenlets.plugins.Quodlibet.QuodlibetAPI.__init__
screenlets.plugins.Rhythmbox.RhythmboxAPI.__init__
screenlets.plugins.Sonata.SonataAPI.__init__
screenlets.plugins.Songbird.SongbirdAPI.__init__
screenlets.plugins.TemperatureConverter.TemperatureConverter.__init__
screenlets.plugins.iCal.DateSet.__init__
screenlets.plugins.iCal.ICalEvent.__init__
screenlets.plugins.iCal.ICalReader.__init__
screenlets.plugins.keyring.KeyRing.Key.__init__
screenlets.plugins.keyring.KeyRing.__init__
screenlets.plugins.mail.IMAPBackend.__init__
screenlets.plugins.mail.MailCheckBackend.__init__
screenlets.plugins.mail.Mailer.__init__
screenlets.plugins.mail.POP3Backend.__init__
screenlets.plugins.mpdclient2.command_sender.__init__
screenlets.plugins.mpdclient2.mpd_connection.__init__
screenlets.plugins.mpdclient2.response_fetcher.__init__
screenlets.plugins.mpdclient2.sender_n_fetcher.__init__
screenlets.plugins.mpdclient2.socket_talker.__init__
screenlets.sensors.CPUSensor.__init__
screenlets.sensors.MemorySensor.__init__
screenlets.sensors.NetSensor.__init__
screenlets.sensors.Sensor.__init__
screenlets.services.ScreenletService.__init__
screenlets.session.ScreenletSession.__init__
screenlets.utils.FileMonitor.__init__
screenlets.utils.IniReader.__init__
screenlets.utils.Notifier.__init__
screenlets.utils.ScreenletInfo.__init__" class="py-name" href="#" onclick="return doclink('link-13', '__init__', 'link-13');">__init__</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">,</tt> <tt id="link-14" class="py-name" targets="Variable screenlets.plugins.GenericPlayer.GenericAPI.session_bus=screenlets.plugins.GenericPlayer.GenericAPI-class.html#session_bus"><a title="screenlets.plugins.GenericPlayer.GenericAPI.session_bus" class="py-name" href="#" onclick="return doclink('link-14', 'session_bus', 'link-14');">session_bus</a></tt><tt class="py-op">)</tt> </tt>
</div><a name="L36"></a><tt class="py-lineno"> 36</tt>  <tt class="py-line">         </tt>
<a name="L37"></a><tt class="py-lineno"> 37</tt>  <tt class="py-line">        <tt class="py-comment"># Check if the player is active : Returns Boolean</tt> </tt>
<a name="L38"></a><tt class="py-lineno"> 38</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment"># A handle to the dbus interface is passed in : doesn't need to be used</tt> </tt>
<a name="L39"></a><tt class="py-lineno"> 39</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment"># if there are other ways of checking this (like dcop in amarok)</tt> </tt>
<a name="JukAPI.is_active"></a><div id="JukAPI.is_active-def"><a name="L40"></a><tt class="py-lineno"> 40</tt> <a class="py-toggle" href="#" id="JukAPI.is_active-toggle" onclick="return toggle('JukAPI.is_active');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Juk.JukAPI-class.html#is_active">is_active</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">dbus_iface</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="JukAPI.is_active-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="JukAPI.is_active-expanded"><a name="L41"></a><tt class="py-lineno"> 41</tt>  <tt class="py-line">                <tt class="py-name">proc</tt> <tt class="py-op">=</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt class="py-name">popen</tt><tt class="py-op">(</tt><tt class="py-string">"""ps axo "%p,%a" | grep "juk" | grep -v grep|cut -d',' -f1"""</tt><tt class="py-op">)</tt><tt class="py-op">.</tt><tt class="py-name">read</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L42"></a><tt class="py-lineno"> 42</tt>  <tt class="py-line">                <tt class="py-name">procs</tt> <tt class="py-op">=</tt> <tt class="py-name">proc</tt><tt class="py-op">.</tt><tt class="py-name">split</tt><tt class="py-op">(</tt><tt class="py-string">'\n'</tt><tt class="py-op">)</tt> </tt>
<a name="L43"></a><tt class="py-lineno"> 43</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">len</tt><tt class="py-op">(</tt><tt class="py-name">procs</tt><tt class="py-op">)</tt> <tt class="py-op">&gt;</tt> <tt class="py-number">1</tt><tt class="py-op">:</tt> </tt>
<a name="L44"></a><tt class="py-lineno"> 44</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-name">True</tt> </tt>
<a name="L45"></a><tt class="py-lineno"> 45</tt>  <tt class="py-line">                <tt class="py-keyword">else</tt><tt class="py-op">:</tt> </tt>
<a name="L46"></a><tt class="py-lineno"> 46</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-name">False</tt> </tt>
</div><a name="JukAPI.connect"></a><div id="JukAPI.connect-def"><a name="L47"></a><tt class="py-lineno"> 47</tt> <a class="py-toggle" href="#" id="JukAPI.connect-toggle" onclick="return toggle('JukAPI.connect');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Juk.JukAPI-class.html#connect">connect</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="JukAPI.connect-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="JukAPI.connect-expanded"><a name="L48"></a><tt class="py-lineno"> 48</tt>  <tt class="py-line">                <tt class="py-keyword">pass</tt> </tt>
</div><a name="L49"></a><tt class="py-lineno"> 49</tt>  <tt class="py-line">         </tt>
<a name="L50"></a><tt class="py-lineno"> 50</tt>  <tt class="py-line">        <tt class="py-comment"># The following return Strings</tt> </tt>
<a name="JukAPI.get_title"></a><div id="JukAPI.get_title-def"><a name="L51"></a><tt class="py-lineno"> 51</tt> <a class="py-toggle" href="#" id="JukAPI.get_title-toggle" onclick="return toggle('JukAPI.get_title');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Juk.JukAPI-class.html#get_title">get_title</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="JukAPI.get_title-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="JukAPI.get_title-expanded"><a name="L52"></a><tt class="py-lineno"> 52</tt>  <tt class="py-line">                <tt class="py-keyword">try</tt><tt class="py-op">:</tt> </tt>
<a name="L53"></a><tt class="py-lineno"> 53</tt>  <tt class="py-line">                        <tt class="py-name">a</tt> <tt class="py-op">=</tt>  <tt id="link-15" class="py-name"><a title="screenlets.plugins.mpdclient2.commands" class="py-name" href="#" onclick="return doclink('link-15', 'commands', 'link-2');">commands</a></tt><tt class="py-op">.</tt><tt class="py-name">getoutput</tt><tt class="py-op">(</tt><tt class="py-string">'dcop juk Player trackProperty Title'</tt><tt class="py-op">)</tt> </tt>
<a name="L54"></a><tt class="py-lineno"> 54</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-name">a</tt> </tt>
<a name="L55"></a><tt class="py-lineno"> 55</tt>  <tt class="py-line">                <tt class="py-keyword">except</tt><tt class="py-op">:</tt> </tt>
<a name="L56"></a><tt class="py-lineno"> 56</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-string">''</tt> </tt>
</div><a name="L57"></a><tt class="py-lineno"> 57</tt>  <tt class="py-line">         </tt>
<a name="JukAPI.get_album"></a><div id="JukAPI.get_album-def"><a name="L58"></a><tt class="py-lineno"> 58</tt> <a class="py-toggle" href="#" id="JukAPI.get_album-toggle" onclick="return toggle('JukAPI.get_album');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Juk.JukAPI-class.html#get_album">get_album</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="JukAPI.get_album-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="JukAPI.get_album-expanded"><a name="L59"></a><tt class="py-lineno"> 59</tt>  <tt class="py-line">                <tt class="py-keyword">try</tt><tt class="py-op">:</tt> </tt>
<a name="L60"></a><tt class="py-lineno"> 60</tt>  <tt class="py-line">                        <tt class="py-name">a</tt> <tt class="py-op">=</tt>  <tt id="link-16" class="py-name"><a title="screenlets.plugins.mpdclient2.commands" class="py-name" href="#" onclick="return doclink('link-16', 'commands', 'link-2');">commands</a></tt><tt class="py-op">.</tt><tt class="py-name">getoutput</tt><tt class="py-op">(</tt><tt class="py-string">'dcop juk Player trackProperty Album'</tt><tt class="py-op">)</tt> </tt>
<a name="L61"></a><tt class="py-lineno"> 61</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-name">a</tt> </tt>
<a name="L62"></a><tt class="py-lineno"> 62</tt>  <tt class="py-line">                <tt class="py-keyword">except</tt><tt class="py-op">:</tt> </tt>
<a name="L63"></a><tt class="py-lineno"> 63</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-string">''</tt> </tt>
</div><a name="L64"></a><tt class="py-lineno"> 64</tt>  <tt class="py-line"> </tt>
<a name="JukAPI.get_artist"></a><div id="JukAPI.get_artist-def"><a name="L65"></a><tt class="py-lineno"> 65</tt> <a class="py-toggle" href="#" id="JukAPI.get_artist-toggle" onclick="return toggle('JukAPI.get_artist');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Juk.JukAPI-class.html#get_artist">get_artist</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="JukAPI.get_artist-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="JukAPI.get_artist-expanded"><a name="L66"></a><tt class="py-lineno"> 66</tt>  <tt class="py-line">                <tt class="py-keyword">try</tt><tt class="py-op">:</tt> </tt>
<a name="L67"></a><tt class="py-lineno"> 67</tt>  <tt class="py-line">                        <tt class="py-name">a</tt> <tt class="py-op">=</tt>  <tt id="link-17" class="py-name"><a title="screenlets.plugins.mpdclient2.commands" class="py-name" href="#" onclick="return doclink('link-17', 'commands', 'link-2');">commands</a></tt><tt class="py-op">.</tt><tt class="py-name">getoutput</tt><tt class="py-op">(</tt><tt class="py-string">'dcop juk Player trackProperty Artist'</tt><tt class="py-op">)</tt> </tt>
<a name="L68"></a><tt class="py-lineno"> 68</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-name">a</tt> </tt>
<a name="L69"></a><tt class="py-lineno"> 69</tt>  <tt class="py-line">                <tt class="py-keyword">except</tt><tt class="py-op">:</tt> </tt>
<a name="L70"></a><tt class="py-lineno"> 70</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-string">''</tt> </tt>
</div><a name="L71"></a><tt class="py-lineno"> 71</tt>  <tt class="py-line"> </tt>
<a name="L72"></a><tt class="py-lineno"> 72</tt>  <tt class="py-line"> </tt>
<a name="JukAPI.get_cover_path"></a><div id="JukAPI.get_cover_path-def"><a name="L73"></a><tt class="py-lineno"> 73</tt> <a class="py-toggle" href="#" id="JukAPI.get_cover_path-toggle" onclick="return toggle('JukAPI.get_cover_path');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Juk.JukAPI-class.html#get_cover_path">get_cover_path</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="JukAPI.get_cover_path-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="JukAPI.get_cover_path-expanded"><a name="L74"></a><tt class="py-lineno"> 74</tt>  <tt class="py-line">                <tt class="py-keyword">try</tt><tt class="py-op">:</tt> </tt>
<a name="L75"></a><tt class="py-lineno"> 75</tt>  <tt class="py-line">                        <tt class="py-name">t</tt> <tt class="py-op">=</tt> <tt class="py-name">urllib</tt><tt class="py-op">.</tt><tt class="py-name">unquote</tt><tt class="py-op">(</tt><tt id="link-18" class="py-name"><a title="screenlets.plugins.mpdclient2.commands" class="py-name" href="#" onclick="return doclink('link-18', 'commands', 'link-2');">commands</a></tt><tt class="py-op">.</tt><tt class="py-name">getoutput</tt><tt class="py-op">(</tt><tt class="py-string">'dcop juk Player trackProperty Path'</tt><tt class="py-op">)</tt><tt class="py-op">)</tt> </tt>
<a name="L76"></a><tt class="py-lineno"> 76</tt>  <tt class="py-line">                        <tt class="py-name">t</tt> <tt class="py-op">=</tt> <tt class="py-name">t</tt><tt class="py-op">.</tt><tt id="link-19" class="py-name" targets="Variable screenlets.plugins.Convert.Converter.replace=screenlets.plugins.Convert.Converter-class.html#replace"><a title="screenlets.plugins.Convert.Converter.replace" class="py-name" href="#" onclick="return doclink('link-19', 'replace', 'link-19');">replace</a></tt><tt class="py-op">(</tt><tt class="py-string">'file://'</tt><tt class="py-op">,</tt><tt class="py-string">''</tt><tt class="py-op">)</tt> </tt>
<a name="L77"></a><tt class="py-lineno"> 77</tt>  <tt class="py-line">                        <tt class="py-name">t</tt> <tt class="py-op">=</tt> <tt class="py-name">t</tt><tt class="py-op">.</tt><tt class="py-name">split</tt><tt class="py-op">(</tt><tt class="py-string">'/'</tt><tt class="py-op">)</tt> </tt>
<a name="L78"></a><tt class="py-lineno"> 78</tt>  <tt class="py-line">                        <tt class="py-name">basePath</tt> <tt class="py-op">=</tt> <tt class="py-string">''</tt> </tt>
<a name="L79"></a><tt class="py-lineno"> 79</tt>  <tt class="py-line">                        <tt class="py-keyword">for</tt> <tt class="py-name">l</tt> <tt class="py-keyword">in</tt> <tt class="py-name">t</tt><tt class="py-op">:</tt> </tt>
<a name="L80"></a><tt class="py-lineno"> 80</tt>  <tt class="py-line">                                <tt class="py-keyword">if</tt> <tt class="py-name">l</tt><tt class="py-op">.</tt><tt class="py-name">find</tt><tt class="py-op">(</tt><tt class="py-string">'.'</tt><tt class="py-op">)</tt> <tt class="py-op">==</tt> <tt class="py-op">-</tt><tt class="py-number">1</tt><tt class="py-op">:</tt> </tt>
<a name="L81"></a><tt class="py-lineno"> 81</tt>  <tt class="py-line">                                        <tt class="py-name">basePath</tt> <tt class="py-op">=</tt> <tt class="py-name">basePath</tt> <tt class="py-op">+</tt> <tt class="py-name">l</tt> <tt class="py-op">+</tt><tt class="py-string">'/'</tt> </tt>
<a name="L82"></a><tt class="py-lineno"> 82</tt>  <tt class="py-line">                 </tt>
<a name="L83"></a><tt class="py-lineno"> 83</tt>  <tt class="py-line">                        <tt class="py-name">names</tt> <tt class="py-op">=</tt> <tt class="py-op">[</tt><tt class="py-string">'Album'</tt><tt class="py-op">,</tt> <tt class="py-string">'Cover'</tt><tt class="py-op">,</tt> <tt class="py-string">'Folde'</tt><tt class="py-op">]</tt> </tt>
<a name="L84"></a><tt class="py-lineno"> 84</tt>  <tt class="py-line">                        <tt class="py-keyword">for</tt> <tt id="link-20" class="py-name" targets="Variable screenlets.Notify.x=screenlets.Notify-class.html#x,Variable screenlets.Screenlet.x=screenlets.Screenlet-class.html#x,Variable screenlets.Tooltip.x=screenlets.Tooltip-class.html#x"><a title="screenlets.Notify.x
screenlets.Screenlet.x
screenlets.Tooltip.x" class="py-name" href="#" onclick="return doclink('link-20', 'x', 'link-20');">x</a></tt> <tt class="py-keyword">in</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt class="py-name">listdir</tt><tt class="py-op">(</tt><tt class="py-name">basePath</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L85"></a><tt class="py-lineno"> 85</tt>  <tt class="py-line">                                <tt class="py-keyword">if</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt id="link-21" class="py-name" targets="Variable screenlets.ScreenletTheme.path=screenlets.ScreenletTheme-class.html#path,Variable screenlets.backend.CachingBackend.path=screenlets.backend.CachingBackend-class.html#path"><a title="screenlets.ScreenletTheme.path
screenlets.backend.CachingBackend.path" class="py-name" href="#" onclick="return doclink('link-21', 'path', 'link-21');">path</a></tt><tt class="py-op">.</tt><tt class="py-name">splitext</tt><tt class="py-op">(</tt><tt id="link-22" class="py-name"><a title="screenlets.Notify.x
screenlets.Screenlet.x
screenlets.Tooltip.x" class="py-name" href="#" onclick="return doclink('link-22', 'x', 'link-20');">x</a></tt><tt class="py-op">)</tt><tt class="py-op">[</tt><tt class="py-number">1</tt><tt class="py-op">]</tt> <tt class="py-keyword">in</tt> <tt class="py-op">[</tt><tt class="py-string">".jpg"</tt><tt class="py-op">,</tt> <tt class="py-string">".png"</tt><tt class="py-op">]</tt> <tt class="py-keyword">and</tt> <tt class="py-op">(</tt><tt id="link-23" class="py-name"><a title="screenlets.Notify.x
screenlets.Screenlet.x
screenlets.Tooltip.x" class="py-name" href="#" onclick="return doclink('link-23', 'x', 'link-20');">x</a></tt><tt class="py-op">.</tt><tt class="py-name">capitalize</tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">[</tt><tt class="py-op">:</tt><tt class="py-number">5</tt><tt class="py-op">]</tt> <tt class="py-keyword">in</tt> <tt class="py-name">names</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L86"></a><tt class="py-lineno"> 86</tt>  <tt class="py-line">                                        <tt class="py-name">coverFile</tt> <tt class="py-op">=</tt> <tt class="py-name">basePath</tt> <tt class="py-op">+</tt> <tt id="link-24" class="py-name"><a title="screenlets.Notify.x
screenlets.Screenlet.x
screenlets.Tooltip.x" class="py-name" href="#" onclick="return doclink('link-24', 'x', 'link-20');">x</a></tt> </tt>
<a name="L87"></a><tt class="py-lineno"> 87</tt>  <tt class="py-line">                                        <tt class="py-keyword">return</tt> <tt class="py-name">coverFile</tt> </tt>
<a name="L88"></a><tt class="py-lineno"> 88</tt>  <tt class="py-line">                <tt class="py-keyword">except</tt><tt class="py-op">:</tt> <tt class="py-keyword">return</tt> <tt class="py-string">''</tt> </tt>
<a name="L89"></a><tt class="py-lineno"> 89</tt>  <tt class="py-line">                <tt class="py-keyword">return</tt> <tt class="py-string">''</tt> </tt>
</div><a name="L90"></a><tt class="py-lineno"> 90</tt>  <tt class="py-line"><tt class="py-comment">#path</tt> </tt>
<a name="L91"></a><tt class="py-lineno"> 91</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="L92"></a><tt class="py-lineno"> 92</tt>  <tt class="py-line">        <tt class="py-comment"># Returns Boolean</tt> </tt>
<a name="JukAPI.is_playing"></a><div id="JukAPI.is_playing-def"><a name="L93"></a><tt class="py-lineno"> 93</tt> <a class="py-toggle" href="#" id="JukAPI.is_playing-toggle" onclick="return toggle('JukAPI.is_playing');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Juk.JukAPI-class.html#is_playing">is_playing</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="JukAPI.is_playing-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="JukAPI.is_playing-expanded"><a name="L94"></a><tt class="py-lineno"> 94</tt>  <tt class="py-line">                <tt class="py-keyword">return</tt> <tt class="py-name">True</tt> </tt>
</div><a name="L95"></a><tt class="py-lineno"> 95</tt>  <tt class="py-line"> </tt>
<a name="L96"></a><tt class="py-lineno"> 96</tt>  <tt class="py-line">        <tt class="py-comment"># The following do not return any values</tt> </tt>
<a name="JukAPI.play_pause"></a><div id="JukAPI.play_pause-def"><a name="L97"></a><tt class="py-lineno"> 97</tt> <a class="py-toggle" href="#" id="JukAPI.play_pause-toggle" onclick="return toggle('JukAPI.play_pause');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Juk.JukAPI-class.html#play_pause">play_pause</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="JukAPI.play_pause-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="JukAPI.play_pause-expanded"><a name="L98"></a><tt class="py-lineno"> 98</tt>  <tt class="py-line">                <tt class="py-name">os</tt><tt class="py-op">.</tt><tt class="py-name">system</tt><tt class="py-op">(</tt><tt class="py-string">'dcop juk Player playPause &amp;'</tt><tt class="py-op">)</tt> </tt>
</div><a name="L99"></a><tt class="py-lineno"> 99</tt>  <tt class="py-line"> </tt>
<a name="JukAPI.next"></a><div id="JukAPI.next-def"><a name="L100"></a><tt class="py-lineno">100</tt> <a class="py-toggle" href="#" id="JukAPI.next-toggle" onclick="return toggle('JukAPI.next');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Juk.JukAPI-class.html#next">next</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="JukAPI.next-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="JukAPI.next-expanded"><a name="L101"></a><tt class="py-lineno">101</tt>  <tt class="py-line">                <tt class="py-name">os</tt><tt class="py-op">.</tt><tt class="py-name">system</tt><tt class="py-op">(</tt><tt class="py-string">'dcop juk Player forward &amp;'</tt><tt class="py-op">)</tt> </tt>
</div><a name="L102"></a><tt class="py-lineno">102</tt>  <tt class="py-line"> </tt>
<a name="JukAPI.previous"></a><div id="JukAPI.previous-def"><a name="L103"></a><tt class="py-lineno">103</tt> <a class="py-toggle" href="#" id="JukAPI.previous-toggle" onclick="return toggle('JukAPI.previous');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Juk.JukAPI-class.html#previous">previous</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="JukAPI.previous-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="JukAPI.previous-expanded"><a name="L104"></a><tt class="py-lineno">104</tt>  <tt class="py-line">                <tt class="py-name">os</tt><tt class="py-op">.</tt><tt class="py-name">system</tt><tt class="py-op">(</tt><tt class="py-string">'dcop juk Player back &amp;'</tt><tt class="py-op">)</tt> </tt>
</div><a name="L105"></a><tt class="py-lineno">105</tt>  <tt class="py-line"> </tt>
<a name="JukAPI.register_change_callback"></a><div id="JukAPI.register_change_callback-def"><a name="L106"></a><tt class="py-lineno">106</tt> <a class="py-toggle" href="#" id="JukAPI.register_change_callback-toggle" onclick="return toggle('JukAPI.register_change_callback');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Juk.JukAPI-class.html#register_change_callback">register_change_callback</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">fn</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="JukAPI.register_change_callback-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="JukAPI.register_change_callback-expanded"><a name="L107"></a><tt class="py-lineno">107</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-25" class="py-name" targets="Variable screenlets.plugins.CoverSearch.CoverSearch.callback_fn=screenlets.plugins.CoverSearch.CoverSearch-class.html#callback_fn,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.callback_fn=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#callback_fn,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.callback_fn=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#callback_fn,Variable screenlets.plugins.Songbird.SongbirdAPI.callback_fn=screenlets.plugins.Songbird.SongbirdAPI-class.html#callback_fn"><a title="screenlets.plugins.CoverSearch.CoverSearch.callback_fn
screenlets.plugins.Quodlibet.QuodlibetAPI.callback_fn
screenlets.plugins.Rhythmbox.RhythmboxAPI.callback_fn
screenlets.plugins.Songbird.SongbirdAPI.callback_fn" class="py-name" href="#" onclick="return doclink('link-25', 'callback_fn', 'link-25');">callback_fn</a></tt> <tt class="py-op">=</tt> <tt class="py-name">fn</tt> </tt>
<a name="L108"></a><tt class="py-lineno">108</tt>  <tt class="py-line">                <tt class="py-comment"># Could not find a callback signal for Listen, so just calling after some time interval</tt> </tt>
<a name="L109"></a><tt class="py-lineno">109</tt>  <tt class="py-line"><tt class="py-comment"></tt>                <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-26" class="py-name"><a title="screenlets.Notify.__timeout
screenlets.Tooltip.__timeout
screenlets.backend.CachingBackend.__timeout
screenlets.plugins.Amarok.AmarokAPI.__timeout
screenlets.plugins.Audacious.AudaciousAPI.__timeout
screenlets.plugins.Banshee.BansheeAPI.__timeout
screenlets.plugins.Exaile.ExaileAPI.__timeout
screenlets.plugins.Juk.JukAPI.__timeout
screenlets.plugins.Kaffeine.KaffeineAPI.__timeout
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__timeout
screenlets.plugins.Listen.ListenAPI.__timeout
screenlets.plugins.Sonata.SonataAPI.__timeout
screenlets.sensors.Sensor.__timeout" class="py-name" href="#" onclick="return doclink('link-26', '__timeout', 'link-8');">__timeout</a></tt><tt class="py-op">:</tt> </tt>
<a name="L110"></a><tt class="py-lineno">110</tt>  <tt class="py-line">                        <tt class="py-name">gobject</tt><tt class="py-op">.</tt><tt class="py-name">source_remove</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-27" class="py-name"><a title="screenlets.Notify.__timeout
screenlets.Tooltip.__timeout
screenlets.backend.CachingBackend.__timeout
screenlets.plugins.Amarok.AmarokAPI.__timeout
screenlets.plugins.Audacious.AudaciousAPI.__timeout
screenlets.plugins.Banshee.BansheeAPI.__timeout
screenlets.plugins.Exaile.ExaileAPI.__timeout
screenlets.plugins.Juk.JukAPI.__timeout
screenlets.plugins.Kaffeine.KaffeineAPI.__timeout
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__timeout
screenlets.plugins.Listen.ListenAPI.__timeout
screenlets.plugins.Sonata.SonataAPI.__timeout
screenlets.sensors.Sensor.__timeout" class="py-name" href="#" onclick="return doclink('link-27', '__timeout', 'link-8');">__timeout</a></tt><tt class="py-op">)</tt> </tt>
<a name="L111"></a><tt class="py-lineno">111</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-28" class="py-name"><a title="screenlets.Notify.__timeout
screenlets.Tooltip.__timeout
screenlets.backend.CachingBackend.__timeout
screenlets.plugins.Amarok.AmarokAPI.__timeout
screenlets.plugins.Audacious.AudaciousAPI.__timeout
screenlets.plugins.Banshee.BansheeAPI.__timeout
screenlets.plugins.Exaile.ExaileAPI.__timeout
screenlets.plugins.Juk.JukAPI.__timeout
screenlets.plugins.Kaffeine.KaffeineAPI.__timeout
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__timeout
screenlets.plugins.Listen.ListenAPI.__timeout
screenlets.plugins.Sonata.SonataAPI.__timeout
screenlets.sensors.Sensor.__timeout" class="py-name" href="#" onclick="return doclink('link-28', '__timeout', 'link-8');">__timeout</a></tt> <tt class="py-op">=</tt> <tt class="py-name">gobject</tt><tt class="py-op">.</tt><tt class="py-name">timeout_add</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-29" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.__interval
screenlets.plugins.Audacious.AudaciousAPI.__interval
screenlets.plugins.Banshee.BansheeAPI.__interval
screenlets.plugins.Exaile.ExaileAPI.__interval
screenlets.plugins.Juk.JukAPI.__interval
screenlets.plugins.Kaffeine.KaffeineAPI.__interval
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__interval
screenlets.plugins.Listen.ListenAPI.__interval
screenlets.plugins.Sonata.SonataAPI.__interval" class="py-name" href="#" onclick="return doclink('link-29', '__interval', 'link-9');">__interval</a></tt> <tt class="py-op">*</tt> <tt class="py-number">1000</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-30" class="py-name" targets="Method screenlets.plugins.Amarok.AmarokAPI.info_changed()=screenlets.plugins.Amarok.AmarokAPI-class.html#info_changed,Method screenlets.plugins.Audacious.AudaciousAPI.info_changed()=screenlets.plugins.Audacious.AudaciousAPI-class.html#info_changed,Method screenlets.plugins.Banshee.BansheeAPI.info_changed()=screenlets.plugins.Banshee.BansheeAPI-class.html#info_changed,Method screenlets.plugins.Exaile.ExaileAPI.info_changed()=screenlets.plugins.Exaile.ExaileAPI-class.html#info_changed,Method screenlets.plugins.Juk.JukAPI.info_changed()=screenlets.plugins.Juk.JukAPI-class.html#info_changed,Method screenlets.plugins.Kaffeine.KaffeineAPI.info_changed()=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#info_changed,Method screenlets.plugins.LastFMProxy.LastFMProxyAPI.info_changed()=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#info_changed,Method screenlets.plugins.Listen.ListenAPI.info_changed()=screenlets.plugins.Listen.ListenAPI-class.html#info_changed,Method screenlets.plugins.Quodlibet.QuodlibetAPI.info_changed()=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#info_changed,Method screenlets.plugins.Rhythmbox.RhythmboxAPI.info_changed()=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#info_changed,Method screenlets.plugins.Sonata.SonataAPI.info_changed()=screenlets.plugins.Sonata.SonataAPI-class.html#info_changed,Method screenlets.plugins.Songbird.SongbirdAPI.info_changed()=screenlets.plugins.Songbird.SongbirdAPI-class.html#info_changed"><a title="screenlets.plugins.Amarok.AmarokAPI.info_changed
screenlets.plugins.Audacious.AudaciousAPI.info_changed
screenlets.plugins.Banshee.BansheeAPI.info_changed
screenlets.plugins.Exaile.ExaileAPI.info_changed
screenlets.plugins.Juk.JukAPI.info_changed
screenlets.plugins.Kaffeine.KaffeineAPI.info_changed
screenlets.plugins.LastFMProxy.LastFMProxyAPI.info_changed
screenlets.plugins.Listen.ListenAPI.info_changed
screenlets.plugins.Quodlibet.QuodlibetAPI.info_changed
screenlets.plugins.Rhythmbox.RhythmboxAPI.info_changed
screenlets.plugins.Sonata.SonataAPI.info_changed
screenlets.plugins.Songbird.SongbirdAPI.info_changed" class="py-name" href="#" onclick="return doclink('link-30', 'info_changed', 'link-30');">info_changed</a></tt><tt class="py-op">)</tt> </tt>
</div><a name="L112"></a><tt class="py-lineno">112</tt>  <tt class="py-line">                <tt class="py-comment">#self.playerAPI.connect_to_signal("playingUriChanged", self.info_changed)</tt> </tt>
<a name="L113"></a><tt class="py-lineno">113</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="JukAPI.info_changed"></a><div id="JukAPI.info_changed-def"><a name="L114"></a><tt class="py-lineno">114</tt> <a class="py-toggle" href="#" id="JukAPI.info_changed-toggle" onclick="return toggle('JukAPI.info_changed');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Juk.JukAPI-class.html#info_changed">info_changed</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">signal</tt><tt class="py-op">=</tt><tt class="py-name">None</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="JukAPI.info_changed-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="JukAPI.info_changed-expanded"><a name="L115"></a><tt class="py-lineno">115</tt>  <tt class="py-line">                <tt class="py-comment"># Only call the callback function if Data has changed</tt> </tt>
<a name="L116"></a><tt class="py-lineno">116</tt>  <tt class="py-line"><tt class="py-comment"></tt>                <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-31" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.__curplaying
screenlets.plugins.Audacious.AudaciousAPI.__curplaying
screenlets.plugins.Banshee.BansheeAPI.__curplaying
screenlets.plugins.Exaile.ExaileAPI.__curplaying
screenlets.plugins.Juk.JukAPI.__curplaying
screenlets.plugins.Kaffeine.KaffeineAPI.__curplaying
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__curplaying
screenlets.plugins.Listen.ListenAPI.__curplaying
screenlets.plugins.Sonata.SonataAPI.__curplaying" class="py-name" href="#" onclick="return doclink('link-31', '__curplaying', 'link-11');">__curplaying</a></tt> <tt class="py-op">!=</tt> <tt id="link-32" class="py-name"><a title="screenlets.plugins.mpdclient2.commands" class="py-name" href="#" onclick="return doclink('link-32', 'commands', 'link-2');">commands</a></tt><tt class="py-op">.</tt><tt class="py-name">getoutput</tt><tt class="py-op">(</tt><tt class="py-string">'dcop juk Player trackProperty Title'</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L117"></a><tt class="py-lineno">117</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-33" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.__curplaying
screenlets.plugins.Audacious.AudaciousAPI.__curplaying
screenlets.plugins.Banshee.BansheeAPI.__curplaying
screenlets.plugins.Exaile.ExaileAPI.__curplaying
screenlets.plugins.Juk.JukAPI.__curplaying
screenlets.plugins.Kaffeine.KaffeineAPI.__curplaying
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__curplaying
screenlets.plugins.Listen.ListenAPI.__curplaying
screenlets.plugins.Sonata.SonataAPI.__curplaying" class="py-name" href="#" onclick="return doclink('link-33', '__curplaying', 'link-11');">__curplaying</a></tt> <tt class="py-op">=</tt> <tt id="link-34" class="py-name"><a title="screenlets.plugins.mpdclient2.commands" class="py-name" href="#" onclick="return doclink('link-34', 'commands', 'link-2');">commands</a></tt><tt class="py-op">.</tt><tt class="py-name">getoutput</tt><tt class="py-op">(</tt><tt class="py-string">'dcop juk Player trackProperty Title'</tt><tt class="py-op">)</tt> </tt>
<a name="L118"></a><tt class="py-lineno">118</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-35" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.callback_fn
screenlets.plugins.Quodlibet.QuodlibetAPI.callback_fn
screenlets.plugins.Rhythmbox.RhythmboxAPI.callback_fn
screenlets.plugins.Songbird.SongbirdAPI.callback_fn" class="py-name" href="#" onclick="return doclink('link-35', 'callback_fn', 'link-25');">callback_fn</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L119"></a><tt class="py-lineno">119</tt>  <tt class="py-line"> </tt>
<a name="L120"></a><tt class="py-lineno">120</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-36" class="py-name"><a title="screenlets.Notify.__timeout
screenlets.Tooltip.__timeout
screenlets.backend.CachingBackend.__timeout
screenlets.plugins.Amarok.AmarokAPI.__timeout
screenlets.plugins.Audacious.AudaciousAPI.__timeout
screenlets.plugins.Banshee.BansheeAPI.__timeout
screenlets.plugins.Exaile.ExaileAPI.__timeout
screenlets.plugins.Juk.JukAPI.__timeout
screenlets.plugins.Kaffeine.KaffeineAPI.__timeout
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__timeout
screenlets.plugins.Listen.ListenAPI.__timeout
screenlets.plugins.Sonata.SonataAPI.__timeout
screenlets.sensors.Sensor.__timeout" class="py-name" href="#" onclick="return doclink('link-36', '__timeout', 'link-8');">__timeout</a></tt><tt class="py-op">:</tt> </tt>
<a name="L121"></a><tt class="py-lineno">121</tt>  <tt class="py-line">                        <tt class="py-name">gobject</tt><tt class="py-op">.</tt><tt class="py-name">source_remove</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-37" class="py-name"><a title="screenlets.Notify.__timeout
screenlets.Tooltip.__timeout
screenlets.backend.CachingBackend.__timeout
screenlets.plugins.Amarok.AmarokAPI.__timeout
screenlets.plugins.Audacious.AudaciousAPI.__timeout
screenlets.plugins.Banshee.BansheeAPI.__timeout
screenlets.plugins.Exaile.ExaileAPI.__timeout
screenlets.plugins.Juk.JukAPI.__timeout
screenlets.plugins.Kaffeine.KaffeineAPI.__timeout
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__timeout
screenlets.plugins.Listen.ListenAPI.__timeout
screenlets.plugins.Sonata.SonataAPI.__timeout
screenlets.sensors.Sensor.__timeout" class="py-name" href="#" onclick="return doclink('link-37', '__timeout', 'link-8');">__timeout</a></tt><tt class="py-op">)</tt> </tt>
<a name="L122"></a><tt class="py-lineno">122</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-38" class="py-name"><a title="screenlets.Notify.__timeout
screenlets.Tooltip.__timeout
screenlets.backend.CachingBackend.__timeout
screenlets.plugins.Amarok.AmarokAPI.__timeout
screenlets.plugins.Audacious.AudaciousAPI.__timeout
screenlets.plugins.Banshee.BansheeAPI.__timeout
screenlets.plugins.Exaile.ExaileAPI.__timeout
screenlets.plugins.Juk.JukAPI.__timeout
screenlets.plugins.Kaffeine.KaffeineAPI.__timeout
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__timeout
screenlets.plugins.Listen.ListenAPI.__timeout
screenlets.plugins.Sonata.SonataAPI.__timeout
screenlets.sensors.Sensor.__timeout" class="py-name" href="#" onclick="return doclink('link-38', '__timeout', 'link-8');">__timeout</a></tt> <tt class="py-op">=</tt> <tt class="py-name">gobject</tt><tt class="py-op">.</tt><tt class="py-name">timeout_add</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-39" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.__interval
screenlets.plugins.Audacious.AudaciousAPI.__interval
screenlets.plugins.Banshee.BansheeAPI.__interval
screenlets.plugins.Exaile.ExaileAPI.__interval
screenlets.plugins.Juk.JukAPI.__interval
screenlets.plugins.Kaffeine.KaffeineAPI.__interval
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__interval
screenlets.plugins.Listen.ListenAPI.__interval
screenlets.plugins.Sonata.SonataAPI.__interval" class="py-name" href="#" onclick="return doclink('link-39', '__interval', 'link-9');">__interval</a></tt> <tt class="py-op">*</tt> <tt class="py-number">1000</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-40" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.info_changed
screenlets.plugins.Audacious.AudaciousAPI.info_changed
screenlets.plugins.Banshee.BansheeAPI.info_changed
screenlets.plugins.Exaile.ExaileAPI.info_changed
screenlets.plugins.Juk.JukAPI.info_changed
screenlets.plugins.Kaffeine.KaffeineAPI.info_changed
screenlets.plugins.LastFMProxy.LastFMProxyAPI.info_changed
screenlets.plugins.Listen.ListenAPI.info_changed
screenlets.plugins.Quodlibet.QuodlibetAPI.info_changed
screenlets.plugins.Rhythmbox.RhythmboxAPI.info_changed
screenlets.plugins.Sonata.SonataAPI.info_changed
screenlets.plugins.Songbird.SongbirdAPI.info_changed" class="py-name" href="#" onclick="return doclink('link-40', 'info_changed', 'link-30');">info_changed</a></tt><tt class="py-op">)</tt> </tt>
</div></div><a name="L123"></a><tt class="py-lineno">123</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:53:02 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
